List Param Stores

Reference for the GET /console/v1/param_stores endpoint of the Statsig API.

gethttps://statsigapi.net/console/v1/param_stores

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Query parameters

limitinteger

Results per page

Example:10
Constraints:stringnumber
pageinteger

Page number

Example:1
Constraints:stringnumber

Response

application/json
200· List param stores
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
idstringrequired

Param Store ID

namestringrequired

Param Store Name

displayNamestringrequired

Param Store Display Name

descriptionstringrequired

Param Store Description

createdTimenumberrequired

Param Store Creation Time

Constraints:format: double
creatorIDstringrequired

Creator ID

lastModifierIDstringrequired

Last Modifier ID

teamstring

Team Name

Constraints:nullable
teamIDstring

Team ID

parametersoneOf[]required

List of Parameters

ref_typestringrequired
Allowed values:experiment
namestringrequired

Parameter Name

param_typestringrequired

Parameter Type

Allowed values:stringbooleannumberarrayobject
valueunknown[]
gate_namestring

Gate Name

pass_valueunknown[]
fail_valueunknown[]
layer_namestring

Layer Name

param_namestring

Parameter Name in Experiment

config_namestring

Dynamic Config Name

experiment_namestring

Experiment Name

paginationobjectrequired

Pagination metadata for checking if there is next page for example.

Show child attributes
itemsPerPagenumberrequired
Constraints:format: double
pageNumbernumberrequired
Constraints:format: double
nextPagestringrequired
Constraints:nullable
previousPagestringrequired
Constraints:nullable
totalItemsnumber
Constraints:format: double
allstring

Was this helpful?